<?php
/*
EditorTools自动采集助手-DZ7.0(简体GBK、繁体big5、简繁UTF-8)文章检查接口
----------------------------------
文件名
etchk.php
discuz7.0文章检查文件，请复制在DZ7.0论坛根目录使用，为保密，请自行修改文件名

主要参数
subject		主题标题
fid			论坛版块ID
vercode		安全校验码，请自行设定，本项用以防止接口被他人利用
*/

@$vercode='';	//此处取值请自行修改

/*

如果需要进行更多校验，请自行填加相关代码。

ET发布配置-文章检查网址处，填写参考如下：
http://您的网址/etchk.php?vercode=&fid=&subject=<%title%>

*/


define('NOROBOT', TRUE);
define('CURSCRIPT', 'search');
if ($_REQUEST['vercode']==$vercode){

	require_once './include/common.inc.php';
	$keyword = isset($subject) ? htmlspecialchars(trim($subject)) : '';
	if ($keyword==''){
	echo("[err]no subject[/err]");
	exit();
	} 
	if (isset($fid) && ($fid!=0) && ($fid!='')){
	$srchstring=' and fid = '.$fid ;
	}
	else
	{
	$srchstring='';
	}
	
	$query = $db->query("SELECT * FROM {$tablepre}threads WHERE subject= '{$keyword}' ".$srchstring." LIMIT 1");
	if ($db->num_rows($query)>0){
	echo('1');
	}
	else
	{
	echo('0');
	}
}
else
{
	echo("[err]invalid vercode[/err]");
}
$db->close;
exit();

?>